Subject: Re: [[email-masked]: The EDIT / Select-and-Paste menu item is not updated correctly.]

From: Andrew Innes <[email-masked]>
Date: Fri, 5 Jul 1996 15:43:13 +0100

On Wed, 12 Jun 1996 16:54:15 -0400, Richard Stallman <[email-masked]> said:
>Could you please look at why this fails on Windows?
>It does not fail in Emacs on GNU/Linux using X.

I can't be positive, but I strongly suspect this doesn't work on Windows
because the various menu-activate hook functions don't get called when
the user actually clicks on the menu bar.  Thus the change in menu state
doesn't become apparent until something else causes the hook functions
to be called - I would guess that recenter has that effect, as does
clicking in the minibuffer?

If so, this would be fixed by making the Windows menu code work more
like the X menu code, using lazy evaluation.

AndrewI

>------- Start of forwarded message -------
>Date: Wed, 12 Jun 1996 09:52:28 +0100
>From: "Kim F. Storm" <[email-masked]>
>Organization: Olicom A/S
>Mime-Version: 1.0
>To: [email-masked]
>Subject: The EDIT / Select-and-Paste menu item is not updated correctly.
>Content-Type: text/plain; charset=us-ascii
>Content-Transfer-Encoding: 7bit
>
>* emacs-version returns:
>
>GNU Emacs 19.31.1 (i386-*-win954.0) - that is on Windows 95
>
>Configure is not used to build emacs on Windows 95.
>
>  * The precise commands needed to type to reproduce the bug.
>
>1) Start a new emacs
>
>2) Check that the EDIT/Select-and-paste menu is empty
>
>3) Insert a line of text in the scratch buffer.
>
>4) Do either of the following to get the entered line into
>   the kill-ring:
>
>   a) Copy the line via drag-mouse-1
>
>   b) Kill the line (e.g. via C-a C-k)
>
>5) Check the EDIT/Select-and-paste menu.
>
>   *** THIS IS THE BUG *** 
>
>   The menu is still empty!
>
>6) To get the select-and-paste menu updated do one of the
>   following things:
>
>   a) Redraw the screen (C-l)
>
>   b) Click with the mouse in the mini-buffer
>      (Gives "Minibuffer window is not active" message)
>
>7) Check the EDIT/Select-and-paste menu.
>
>   The copied/killed text is now there.
>
>***
>I know you don't like speculations in a bug report, but if the
>select-and-paste menu is updated correctly when using X, this
>is most likely a Windows 95 specific bug, since the Windows 95
>support code has "duplicated" a lot of X code - including the
>menu bar support.
>
>- --
>Kim F. Storm <[email-masked]>
>------- End of forwarded message -------